#
# $Id: gs.rps $
# Spec file for GNU Ghostscript 4.03
#
# Based on RPM Spec file by RedHat for GNU Ghostscript 3.33
#
# For each new version of Ghostscript, you will need to change 
#   Version:
#   Source[0-3]:
#   Patch:
#   Patch1:
#   directory renaming of 3rd party libraries in %prep
#   update the patch files.
#
#
Summary: PostScript interpreter and renderer
Summary(de): PostScript-Interpreter und Renderer
Summary(fr): Interprteur et visualisateur PostScript
Summary(tr): PostScript yorumlayc ve gsterici
Name: ghostscript
Version: 4.03
Release: 1
Copyright: GPL
Group: Applications/Graphics
Source0: ftp://ftp.cs.wisc.edu/ghost/gnu/gs403/ghostscript-4.03.tar.gz
Source1: ftp://ftp.cs.wisc.edu/ghost/gnu/gs403/ghostscript-4.03jpeg.tar.gz
Source2: ftp://ftp.cs.wisc.edu/ghost/gnu/gs403/ghostscript-4.03libpng.tar.gz
Source3: ftp://ftp.cs.wisc.edu/ghost/gnu/gs403/ghostscript-4.03zlib.tar.gz
Patch: ghostscript-4.03-config.patch
# comment out the following line if no post release patches are available.
#Patch1: ghostscript-4.03-post.patch
URL: http://www.cs.wisc.edu/~ghost/
#Icon: ghost.gif
#Distribution: Unknown
Vendor: Aladdin Enterprises
Packager: Russell Lang   http://www.cs.wisc.edu/~ghost/rjl.html
Requires: ghostscript-fonts
BuildRoot: /var/tmp/ghostscript-root

%description
Ghostscript is a PostScript interpretor. It can render both PostScript
and PDF compliant files to devices which include an X window, many printer
formats (including support for color printers), and popular graphics
file formats.

%description -l de
Ghostscipt ist ein PostScript-Interpretierer. Er kann sowohl PostScript als
auch PDF-konforme Dateien an Gerte ausgeben, zu denen ein X-Fenster, 
viele Druckerformate (einschlielich Support fr Farbdrucker) und gngige
Grafikdateiformate zhlen.

%description -l fr
Ghostscript est un interprteur PostScript. Il peut rendre des fichiers
PostScript ou PDF sur des priphriques dont une fentre X,de nombreux
types d'imprimantes (dont un support pour imprimantes couleur), et des
formats de fichiers graphiques populaires.

%description -l tr
GhostScript, PostScript ve PDF uyumlu dosyalar, X penceresinde gsterebilir
ve birok yazcnn (renkli yazclar dahil) basabilecei biime getirebilir.


%prep
# remove old directory
rm -rf $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}
mkdir $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}
#
# unpack main sources
%setup -n gs%{PACKAGE_VERSION}
#
# unpack jpeg
%setup -T -D -a 1 -n gs%{PACKAGE_VERSION}
# For gs 5.50, rename jpeg subdirectory
#mv $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/jpeg-6a  $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/jpeg-6a
#
# unpack libpng
%setup -T -D -a 2 -n gs%{PACKAGE_VERSION}
# For gs 4.03, rename libpng subdirectory
mv $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/libpng-0.89c  $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/libpng
#
# unpack zlib
%setup -T -D -a 3 -n gs%{PACKAGE_VERSION}
# For gs 4.03, rename zlib subdirectory
mv $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/zlib-1.0.2  $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/zlib
#
# copy the makefile, then patch the new copy
rm $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/makefile
cp $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/unix-gcc.mak $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/Makefile
%patch  -p1 -b .config
# apply the post release patches (comment out following line if none)
#%patch1  -p1 -b .post


%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix=/usr

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man,doc}
make install prefix=$RPM_BUILD_ROOT/usr
ln -sf gs.1 $RPM_BUILD_ROOT/usr/man/man1/ghostscript.1
ln -sf gs $RPM_BUILD_ROOT/usr/bin/ghostscript
strip $RPM_BULD_ROOT /usr/bin/gs


%files
/usr/doc/ghostscript-%{PACKAGE_VERSION}
/usr/bin/*
%dir /usr/share/ghostscript
%dir /usr/share/ghostscript/%{PACKAGE_VERSION}
/usr/share/ghostscript/%{PACKAGE_VERSION}/*ps
#/usr/share/ghostscript/%{PACKAGE_VERSION}/*.upp
/usr/share/ghostscript/%{PACKAGE_VERSION}/*.ppd
%config /usr/share/ghostscript/%{PACKAGE_VERSION}/Fontmap
/usr/share/ghostscript/%{PACKAGE_VERSION}/examples
/usr/man/*/*

